Skip to main content
PATCH
/
cases
/
{case_id}
/
closure
/
steps
/
{step_id}
Update closure step
curl --request PATCH \
  --url https://api.example.com/v1/cases/{case_id}/closure/steps/{step_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "not_started",
  "blocked_reason": "<string>",
  "assigned_to": "<string>",
  "due_date": "2023-12-25",
  "completed_date": "2023-12-25",
  "notes": "<string>"
}
'
{
  "data": {
    "id": "01K8CS03CJ2T99HRYE78AN7CCC",
    "step_type": "notify_institutions",
    "title": "Notify Financial Institutions",
    "description": "Contact all banks and financial institutions to notify them of the death and freeze accounts.",
    "status": "in_progress",
    "order": 1,
    "depends_on": [],
    "blocked_reason": null,
    "assigned_to": "<string>",
    "due_date": "2023-12-25",
    "completed_date": "2023-12-25",
    "notes": "<string>",
    "sub_tasks": [
      {
        "id": "<string>",
        "title": "Contact Chase Bank",
        "completed": true,
        "institution_contact_id": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

case_id
string
required

Unique case identifier (ULID format).

step_id
string
required

Body

application/json
status
enum<string>
Available options:
not_started,
in_progress,
blocked,
waiting,
completed,
skipped
blocked_reason
string
assigned_to
string
due_date
string<date>
completed_date
string<date>
notes
string

Response

Closure step updated.

data
object